summaryrefslogtreecommitdiffstats
path: root/.travis-functions.sh
diff options
context:
space:
mode:
authorRuediger Meier2017-06-27 08:25:30 +0200
committerRuediger Meier2017-06-27 08:25:30 +0200
commitd1a7c00eaed1b37bae81c67b038c40bd49384eb3 (patch)
treebd0b6072ca6af533aa494169cc0f8c0348ea08c1 /.travis-functions.sh
parenttools: checkusage can dump all command output (diff)
downloadkernel-qcow2-util-linux-d1a7c00eaed1b37bae81c67b038c40bd49384eb3.tar.gz
kernel-qcow2-util-linux-d1a7c00eaed1b37bae81c67b038c40bd49384eb3.tar.xz
kernel-qcow2-util-linux-d1a7c00eaed1b37bae81c67b038c40bd49384eb3.zip
travis: add make checkusage
We will run all built programs with 3 different options on Linux and OSX. Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
Diffstat (limited to '.travis-functions.sh')
-rwxr-xr-x.travis-functions.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.travis-functions.sh b/.travis-functions.sh
index 7b20e886c..f0a0d8990 100755
--- a/.travis-functions.sh
+++ b/.travis-functions.sh
@@ -36,6 +36,17 @@ function xconfigure
return $err
}
+# TODO: integrate checkusage into our regular tests and remove this function
+function make_checkusage
+{
+ local tmp
+ if ! tmp=$($MAKE checkusage 2>&1) || test -n "$tmp"; then
+ echo "$tmp"
+ echo "make checkusage failed" >&2
+ return 1
+ fi
+}
+
function check_nonroot
{
local opts="$MAKE_CHECK_OPTS --show-diff"
@@ -50,6 +61,8 @@ function check_nonroot
osx_prepare_check
$MAKE check TS_OPTS="$opts" || return
+ make_checkusage || return
+
$MAKE install DESTDIR=/tmp/dest || return
}